# &kde;-Benutzerhandbuch

Darian
Lanx

    content@openprojects.net

25.04.2001
0.01.01
kbuildsycoca4
8

# `kbuildsycoca4`

Erstellt den Zwischenspeicher für die Systemeinstellung neu.

## Synopsis

    kbuildsycoca4  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Beschreibung

`kbuildsycoca4` stellt als Teil der &kde; Befehlszeilenwerkzeugedas korrekte Funktionieren von &kde; sicher, indem es alle `.desktop`, `.directory`, `.kimgio` und `.protocol` einliest und zu einer Datenbank verknüpft.

&kde; greift zur Laufzeit auf diese Datenbank zu, um Konfigurationsdaten für die laufenden Programme bereitzustellen.

Dieses Werkzeug gehört zu ksycoca. Dieser Name steht für &kde; System Configuration Cache (KDE Zwischenspeicher für Systemkonfigurationsdaten).

## Optionen

`--nosignal`

  Anwendungen nicht informieren

`--incremental`

  Inkrementelle Aktualisierung

`--help`

  Hilfe zu verfügbaren Optionen anzeigen

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--help-kde`

  Spezielle Optionen für KDE anzeigen

`--help-all`

  Alle Optionen anzeigen

`--author`

  Autoren-Information anzeigen

`--version`

  Versionsinformation anzeigen

`--license`

  Lizenz-Informationen anzeigen

## Benutzung

Der normale Weg, das Programm aufzurufen, sieht wie folgt aus: ``kbuildsycoca4``

## Dateien

`/tmp/kde-$USER/ksycoca`

  ...

## Umgebungsvariablen

$`KDEDIRS`

  Gibt an, welche Ordner Teil der KDE-Installation sind.

## Siehe auch

kdeinit4

## Fehler

Zur Zeit der Erstellung dieses Textes waren keine Fehler bekannt.